window.Gleam.initSearch([{"doc":"glerd_valid","title":"glerd_valid","content":"# glerd_valid\n\n[![Package Version](https://img.shields.io/hexpm/v/glerd_valid)](https://hex.pm/packages/glerd_valid)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/glerd_valid/)\n![Erlang-compatible](https://img.shields.io/badge/target-erlang-a2003e)\n![JavaScript-compatible](https://img.shields.io/badge/target-javascript-f1e05a)\n\nGleam validators using Glerd metadata\n\n```sh\ngleam add --dev glerd glerd_valid\n```\n\n#### 1. Generate types info\n\nUse [Glerd](https://github.com/darky/glerd)\n\nExample of metadata:\n\n```gleam\npub type User {\n  /// valid:age:&#39;gte=18&#39;\n  /// valid:age:&#39;lt=150&#39;\n  User(age: Int)\n}\n```\n\n#### 2. Make module for validators generation\n\n###### my_module.gleam\n\n```gleam\nimport glerd_valid\nimport glerd_gen\n\npub fn main() {\n  glerd_gen.record_info\n  |&gt; glerd_valid.generate(&quot;src&quot;, _)\n}\n```\n\n#### 3. Gen validators\n\n```sh\ngleam run -m my_module\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/glerd_valid&gt;.\n\n## Supported metadata\n\n- [x] gte\n- [x] gt\n- [x] lte\n- [x] lt\n- [x] eq\n- [x] ne\n\n## Development\n\n```sh\ngleam test # and then commit generated file\n```\n","url":"index.html"},{"doc":"glerd_valid","title":"generate","content":"pub fn generate(\n  root: String,\n  record_info: List(#(String, String, a, String)),\n) -&gt; Nil\n\nSynonyms:\nglerd_valid.generate\nglerd_valid generate","url":"glerd_valid.html#generate"},{"doc":"glerd_valid","title":"glerd_valid","content":"","url":"glerd_valid.html"}]);